Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.autoinventory
Class ScanConfigurationCore

    java.lang.Object
      org.hyperic.hq.autoinventory.ScanConfigurationCore

All Implemented Interfaces:
  Serializable

    public class ScanConfigurationCore

extends Object
implements Serializable

This class just encapsulates the "raw data" part of the scan configuration, without any utility methods or other flim-flam. It exists to make it easy to move scan configurations across SOAP and other network transports.

See Also:
  Serialized Form

Constructor Summary
`ScanConfigurationCore()`

Method Summary
`void` | `addScanMethodConfig(ScanMethod method, org.hyperic.util.config.ConfigResponse configResponse)`
`static ScanConfigurationCore` | `decode(String data)`
`static ScanConfigurationCore` | `deserialize(byte[] data)`
`String` | `encode()`
`boolean` | `equals(Object o)`
`ScanMethodConfig` | `findScanMethodConfig(ScanMethod method)`
`ScanMethodConfig` | `findScanMethodConfig(String methodClass)`
`static ScanConfigurationCore` | `fromAgentRemoteValue(String keyName, org.hyperic.hq.agent.AgentRemoteValue arv)` Read the contents of an AgentRemoteValue object and create a scan configuration.
`org.hyperic.util.config.ConfigResponse` | `getConfigResponse()`
`ScanMethodConfig[]` | `getScanMethodConfigs()` Get the scan method configs to use in this scan.
`ServerSignature[]` | `getServerSignatures()` Get the server signatures to scan for in this scan.
`byte[]` | `serialize()`
`void` | `setConfigResponse(org.hyperic.util.config.ConfigResponse configResponse)`
`void` | `setScanMethodConfigs(ScanMethodConfig[] configs)` Set the scan method configs to use in this scan.
`void` | `setServerSignatures(ScanMethodConfig[] configs)` Set the scan method configurations for this scan.
`void` | `setServerSignatures(ServerSignature[] serverSigs)` Set the server signatures to scan for in this scan.
`void` | `toAgentRemoteValue(String keyName, org.hyperic.hq.agent.AgentRemoteValue arv)` Write the contents of this scan configuration to an AgentRemoteValue object.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ScanConfigurationCore

    public ScanConfigurationCore()

Method Detail

### getScanMethodConfigs

    public ScanMethodConfig[] getScanMethodConfigs()

  Get the scan method configs to use in this scan.

  Returns:
    An array of ScanMethodConfig objects.

### setScanMethodConfigs

    public void setScanMethodConfigs(ScanMethodConfig[] configs)

  Set the scan method configs to use in this scan.

  Parameters:
    `configs` - An array of ScanMethodConfig objects.

### addScanMethodConfig

    public void addScanMethodConfig(ScanMethod method,
                                    org.hyperic.util.config.ConfigResponse configResponse)

### setServerSignatures

    public void setServerSignatures(ScanMethodConfig[] configs)

  Set the scan method configurations for this scan.

  Parameters:
    `serverTypes` - An array of ScanMethodConfig objects.

### getServerSignatures

    public ServerSignature[] getServerSignatures()

  Get the server signatures to scan for in this scan.

  Returns:
    An array of ServerSignature objects indicating which servers to scan for.

### setServerSignatures

    public void setServerSignatures(ServerSignature[] serverSigs)

  Set the server signatures to scan for in this scan.

  Parameters:
    `serverTypes` - An array of ServerSignature objects indicating which server types to scan for.

### findScanMethodConfig

    public ScanMethodConfig findScanMethodConfig(ScanMethod method)

### findScanMethodConfig

    public ScanMethodConfig findScanMethodConfig(String methodClass)

### serialize

    public byte[] serialize()
                     throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### encode

    public String encode()
                  throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### deserialize

    public static ScanConfigurationCore deserialize(byte[] data)
                                             throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### decode

    public static ScanConfigurationCore decode(String data)
                                        throws AutoinventoryException

  Throws:
    `AutoinventoryException`

### toAgentRemoteValue

    public void toAgentRemoteValue(String keyName,
                                   org.hyperic.hq.agent.AgentRemoteValue arv)
                            throws AutoinventoryException

  Write the contents of this scan configuration to an AgentRemoteValue object.

  Parameters:
    `keyName` - The key name to use when populating the AgentRemoteValue with data.
    `arv` - The AgentRemoteValue to write.
  Throws:
    `AutoinventoryException` - If a problem occurs populating the AgentRemoteValue with data.

### fromAgentRemoteValue

    public static ScanConfigurationCore fromAgentRemoteValue(String keyName,
                                                             org.hyperic.hq.agent.AgentRemoteValue arv)
                                                      throws AutoinventoryException

  Read the contents of an AgentRemoteValue object and create a scan configuration.

  Parameters:
    `keyName` - The key name to use when reading data from the AgentRemoteValue.
    `arv` - The AgentRemoteValue to read.
  Returns:
    A ScanConfiguration object read from the AgentRemoteValue.
  Throws:
    `AutoinventoryException` - If a problem occurs reading data from the AgentRemoteValue.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### getConfigResponse

    public org.hyperic.util.config.ConfigResponse getConfigResponse()

### setConfigResponse

    public void setConfigResponse(org.hyperic.util.config.ConfigResponse configResponse)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.5.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2010 Hyperic, Inc. support@hyperic.net, All Rights Reserved.